function internet(){
    clear
    nome="BuscAKI"
    echo "|B|u|s|c|A|K|I| - 'Voltar' para retornar" 
    echo -e "${ciano}---------------------------------------------------------${desliga}"
    read -ep "Pesquise no "$nome": " busca
    busca="${busca,,}"                                                    # Tudo em minusculo
    if [[ "$busca" = "sair" ]] || [[ "$busca" = "retornar" ]]; then
        principal   # Quer sair/retornar?
    fi    
    #Espiner maroto com som.
    if [[ "$som" = "1" ]]; then
        espectrum ogg123 -q "musicas/dialup.ogg" 2>&-
    else
       espectrum sleep 0.8s 2>&-    
    fi
    
    
    case "$busca" in
        *ammyland*|"*cidade*"|"*cidade ammyland*") ammyland  ;;
        
        
        *) 
echo -e \
"
-----------------------------------------------
  ${vermelho}Nenhum termo encontrado!${desliga}
-----------------------------------------------
        " ; sleep 1s; internet 
       ;;
    esac
}

# Espectrum da pesquisa...
function espectrum(){
    while :; do
        for a in / - \\ \|; do
            printf '%s\b' "$a"
            
       done 
    done & "$@"
    kill "$!"
    sleep 0.2
}


#====Função nova pesquisa=======#
function nova_pesquisa(){
     read -p $'\e[34;1mFazer nova pesquisa? [Sim/nao]\e[m ' nova_pesquisa
     nova_pesquisa="${nova_pesquisa,,}"   # Tudo em minusculo
     nova_pesquisa="${nova_pesquisa:=sim}"
     if [[ "$nova_pesquisa" = "sim" ]]; then
          internet    # Chamando função
     else
          principal   # Retorna para função principal
     fi     
     
}


#=========FUNÇÕES DE PESQUISAS===========#
function ammyland(){
		cat <<-EOF
		
    Ammiland foi criada por John F.P em 1943.
  
		EOF
echo -e "${ciano}---------------------------------------------------------${desliga}"

    nova_pesquisa  # Fazer nova pesquisa?
}

#internet
